EndpointsWebhooks
Update a webhook subscription
AuthorizationbearerAuth
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token — how to obtain one is described under Setup → Authentication.
In: header
Path Parameters
id*integer
Header Parameters
Accept*"application/json"
The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).
Default
"application/json"Value in
- "application/json"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
Request example
curl -X PUT "https://example.com/webhooks/0" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": 0, "url": "http://example.com", "events": [ "order.completed" ], "created_at": "2019-08-24T14:15:22Z" }}